Gstreamer unter Linux zu neu für Qt

Verschiedenes zu Qt
Antworten
wapro
Beiträge: 8
Registriert: 29. April 2017 15:05

Gstreamer unter Linux zu neu für Qt

Beitrag von wapro » 21. August 2018 21:05

Hallo zusammen,

ich habe da ein Problem zu meinem Projekt.
Ich versuche Audiodateien mit QMultimedia zum laufen zu bekommen aber bisher leider ohne Erfolg.
Mein Linux hat Gstreamer Version 1.0x installiert und Qt braucht wohl Version 0.1x und kann mit der neuen Version anscheinend nichts anfangen.
Weiß jemand wie man Qt eventuell umbauen kann oder dergleichen?

Vielen Dank im Vorraus.

Gruß

Christian81
Beiträge: 7274
Registriert: 26. August 2004 14:11
Wohnort: Bremen
Kontaktdaten:

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von Christian81 » 21. August 2018 22:23

Was für ein Qt benutzt Du? Wenn gestreamer und Qt5 von der Distribution kommt, sollte es eigentlich direkt gehen.
MfG Christian

'Funktioniert nicht' ist keine Fehlerbeschreibung

wapro
Beiträge: 8
Registriert: 29. April 2017 15:05

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von wapro » 21. August 2018 22:30

Ich nutze Qt5 unter Raspbian...

Christian81
Beiträge: 7274
Registriert: 26. August 2004 14:11
Wohnort: Bremen
Kontaktdaten:

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von Christian81 » 22. August 2018 06:30

Ich meinte damit - selbst kompiliert oder von der Distribution, welche Qt5 version usw.
MfG Christian

'Funktioniert nicht' ist keine Fehlerbeschreibung

wapro
Beiträge: 8
Registriert: 29. April 2017 15:05

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von wapro » 22. August 2018 06:59

Sorry, nein ist nicht selbst kompiliert. Die genau Version kann ich später nachschauen. Ich weis ich bin in vielen sachen noch Anfänger :)

Christian81
Beiträge: 7274
Registriert: 26. August 2004 14:11
Wohnort: Bremen
Kontaktdaten:

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von Christian81 » 22. August 2018 07:02

Und was für eine Qt5-version? Die aktuellen sollten auch mit gestreamer 1.0 zurechtkommen.
MfG Christian

'Funktioniert nicht' ist keine Fehlerbeschreibung

wapro
Beiträge: 8
Registriert: 29. April 2017 15:05

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von wapro » 22. August 2018 07:15

Heut Abend kann ich genau schauen welche Versionen ich verwende.

Danke schon mal.

wapro
Beiträge: 8
Registriert: 29. April 2017 15:05

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von wapro » 22. August 2018 15:43

So, also ich habe die Version Qt 5.3.2. Welche Infos brauchst du noch?

Christian81
Beiträge: 7274
Registriert: 26. August 2004 14:11
Wohnort: Bremen
Kontaktdaten:

Re: Gstreamer unter Linux zu neu für Qt

Beitrag von Christian81 » 22. August 2018 17:55

Ok, 5.3.2 wurde 2014 freigegeben - das diese Version nicht mit gstreamer 1.0 funktioniert könnte ich mir gut vorstellen. Ich würde mal eine aktuellere Version probieren und schauen was ./configure --help zu gstreamer sagt.
MfG Christian

'Funktioniert nicht' ist keine Fehlerbeschreibung

Antworten